$LOAD_PATH.unshift File.expand_path('../../lib', __FILE__)
require 'factory_girl'
require 'oo'

RSpec.configure do |c|
  c.include FactoryGirl::Syntax::Methods

  c.before(:suite) do
    FactoryGirl.find_definitions
    OO.instance_variable_set(:@configuration, OO::Configuration.new)
  end

  c.after(:each) do
    OO.instance_variable_set(:@configuration, OO::Configuration.new)
  end
end
